import z from 'zod';

export const CreatePassSchema = z.object({
  firstName: z.string().min(3, "Eng kamida 3ta belgi bo'lishi kerak"),
  lastName: z.string().min(3, "Eng kamida 3ta belgi bo'lishi kerak"),
  passportSeriya: z.string().length(2, '2 ta harf kerak'),
  passportNumber: z.string().length(7, '7 ta raqam kerak'),
  jshshir: z.string().length(14, '14 ta raqam kerak'),
  birthDate: z.string().min(8, 'Majburiy maydon'),
});

export type CreatePassSchemaType = z.infer<typeof CreatePassSchema>;
